CorebanqCorebanq Developer Docs
Tariffsv1Subscription Billing

List customer subscription charges

Returns recurring subscription billing charge rows for the customer from `tariffs.subscription_charges`, ordered by business date and period. Requires read access on the customer record.

GET
/v1/tariffs/customers/{customer_id}/subscription-charges

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

customer_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/tariffs/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscription-charges"
{
  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
  "charges": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_code": "string",
      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
      "customer_name": "string",
      "account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
      "business_date": "2019-08-24",
      "period_key": "string",
      "amount": "string",
      "currency": "string",
      "txn_id": "3dd6ecc9-94bf-4fc7-98ae-cdbe5b6f62e4",
      "status": "pending",
      "attempts": 0,
      "last_error": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "modified_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "code": "tariffs_m.invalid_tariff_data",
  "message": "Invalid tariff data provided"
}
Empty
{
  "code": "tariffs_m.tariff_not_found",
  "message": "Tariff not found"
}